%define srdsjavadir %{_datadir}/srds/libs

Name:		srds
Version:	0.2.25
Release:	%mkrel 2
URL:		http://www.xtreemos.org/
Group:		System/Cluster
License:	GPL
Source0:	srds-%{version}.tar.bz2
#Patch0:		build.xml.patch
BuildRequires:	xtreemrss
BuildRequires:	junit java-devel >= 1.6.0 ant
BuildRequires:	log4j xvoms dixi-main dixi-aem-node dixi-vom-rca-server dixi-aem-server dixi-xati
BuildRequires:	xmlrpc3-client ws-commons-util scalaris-java scalaris jakarta-commons-cli servlet
Requires:	java >= 1.6.0
Requires:	xtreemrss
Requires:	xmlrpc3-client ws-commons-util
Requires:	log4j xvoms dixi-main dixi-aem-node dixi-vom-rca-server dixi-aem-server dixi-xati
Requires:	jakarta-commons-collections jakarta-commons-logging classpathx-mail antlr asm
Requires:	jmock1 dom4j geronimo-jta-1.0.1B-api cglib jakarta-commons-cli
Requires:	servlet
Requires:	xtreemrss
Requires:	srds-jardeps = %{version}-%{release}
Requires:	scalaris-java scalaris
Summary:	SRDS Service/Resource Discovery Service
Source1:	clink170.jar
Source2:	jetty-6.1.20.jar
Source3:	OtpErlang-1.4.2.jar
Source5:	je-3.3.87.jar
Source6:	jetty-util-6.1.20.jar
Source7:	overlayweaver.jar
Source8:	xmlrpc-client-3.1.2.jar
Source9:	xmlrpc-server-3.1.2.jar
Source10:	xmlrpc-common-3.1.2.jar
BuildArch:	noarch
%description
The SRDS (Service/Resource Discovery Service) provides several types
of directory services to other modules of XtreemOS. Different
interfaces ans set of functionalities are defined for each client.
This first release providies to the AEM module the Resource Location
Service and the Job Directory Service. They respectively return a list
of computing resources matching a specific resoruce query (JSDL), and
allow to manage job information in a decentralized manner.

Each node within XtreemOS has to run an instance of SRDS, the
instances creating a few overlay networks (currently, 2).

Dynamically changing information is stored into one or more
Distributed HashTables (DHT) by the SRDS; this version of SRDS
exploits ADS_Bamboo, a custom version of the Bamboo DHT. SRDS depends
on the ADS_Bamboo package. The DHT(s) is (are) run and initialized by
the SRDS through a script, who controls the bamboo configuration.

Static information about computing resources is retrieved through the
RSS module. The RSS package is an independent module, but it is called
by the SRDS. SRDS and RSS depend on each one another.

%package jardeps
Summary:	srds dependencies
Group:		System/Cluster
%description jardeps
Dependencies for SRDS.

%prep
%setup -q
#patch0 -p0

cp -p %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE5} %{SOURCE6} \
	 %{SOURCE7} %{SOURCE8} %{SOURCE9} %{SOURCE10} lib/

cd lib
for jarfile in aem-node.jar aem-server.jar DIXIMain.jar DIXIMainServices.jar \
	xati.jar xtreemrss.jar log4j-1.2.14.jar scalaris/scalaris.jar
do
   ln -s %{_javadir}/$jarfile .
done

ln -s %{_javadir}/ws-commons-util.jar ws-commons-util-1.0.2.jar
ln -s %{_javadir}/junit4.jar junit-4.5.jar


%build
ant clean
ant
ant build-jar

%install
%{__rm} -Rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/xos/config
%{__mkdir_p} %{buildroot}%{srdsjavadir}

cp -a config/Ads config/OW %{buildroot}%{_sysconfdir}/xos/config/
cp %name.jar %{buildroot}/%{_javadir}/

pushd lib
for file in *.jar
do
   if ! [ -h $file ]
   then
      cp -p $file %{buildroot}/%{_javadir}
      rm -f $file
      ln -s %{_javadir}/$file $file
   fi
done
cp -a *.jar %{buildroot}%{srdsjavadir}/
popd

%clean
%{__rm} -Rf %{buildroot}

%files
%doc README AUTHORS INSTALL DEPENDENCIES
%defattr(-,root,root)
%{_javadir}/%name.jar
%{srdsjavadir}/*.jar
%config(noreplace) %{_sysconfdir}/xos/config/Ads/*
%config(noreplace) %{_sysconfdir}/xos/config/OW/OWconfig.cfg
%config(noreplace) %{_sysconfdir}/xos/config/OW/owlogging.properties
%config(noreplace) %{_sysconfdir}/xos/config/OW/runow.sh
%config(noreplace) %{_sysconfdir}/xos/config/OW/stopow.sh

%files jardeps
%defattr(-,root,root)
%{_javadir}/OtpErlang-1.4.2.jar
%{_javadir}/clink170.jar
%{_javadir}/je-3.3.87.jar
%{_javadir}/jetty-6.1.20.jar
%{_javadir}/jetty-util-6.1.20.jar
%{_javadir}/overlayweaver.jar
%{_javadir}/xmlrpc-client-3.1.2.jar
%{_javadir}/xmlrpc-common-3.1.2.jar
%{_javadir}/xmlrpc-server-3.1.2.jar
